com.jogamp.common

## Class GlueGenVersion

- java.lang.Object
- - com.jogamp.common.util.JogampVersion
  - - com.jogamp.common.GlueGenVersion

-     public class GlueGenVersion
      extends JogampVersion

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static GlueGenVersion` | `jogampCommonVersionInfo`

    - ### Fields inherited from class com.jogamp.common.util.JogampVersion

      `IMPLEMENTATION_BRANCH, IMPLEMENTATION_BUILD, IMPLEMENTATION_COMMIT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GlueGenVersion(String packageName, Manifest mf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GlueGenVersion` | `getInstance()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class com.jogamp.common.util.JogampVersion

      `equals, getAndroidPackageVersionName, getAttribute, getAttribute, getAttributeName, getAttributeNames, getExtensionName, getFullManifestInfo, getImplementationBranch, getImplementationBuild, getImplementationCommit, getImplementationTitle, getImplementationURL, getImplementationVendor, getImplementationVendorID, getImplementationVersion, getManifest, getManifestInfo, getPackageName, getSpecificationTitle, getSpecificationVendor, getSpecificationVersion, hashCode, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jogampCommonVersionInfo

          protected static volatile GlueGenVersion jogampCommonVersionInfo

  - ### Constructor Detail

    - #### GlueGenVersion

          protected GlueGenVersion(String packageName,
                        Manifest mf)

  - ### Method Detail

    - #### getInstance

          public static GlueGenVersion getInstance()

    - #### main

          public static void main(String[] args)